import {Component, OnInit, Output} from '@angular/core';
import {BaseComponent} from '../../../../shared/common/basecomponent/base.component';
import {Cluster} from '../../../../model/cluster';
import {ClusterService} from '../../../../service/cluster.service';
import {ActivatedRoute, Router} from '@angular/router';
import {ComponentMode} from '../../../../shared';

@Component({
    selector: 'app-clusterdetails',
    templateUrl: './clusterdetails.component.html',
    styleUrls: []
})
export class ClusterDetailsComponent extends BaseComponent implements OnInit {
    public cluster: Cluster;

    @Output()
    public error: string;

    constructor(private clusterService: ClusterService, private route: ActivatedRoute, private router: Router) {
        super();
    }

    ngOnInit() {
        this.clusterService.getCluster().subscribe(cluster => {
            this.cluster = cluster;
        }, () => {
            this.cluster = new Cluster();
            this.mode = ComponentMode.CREATE;
        });
    }

}
