export enum Role {
  ROLE_SYSTEM_ADMIN = 'ROLE_SYSTEM_ADMIN',
  ROLE_DOMAIN_ADMIN = 'ROLE_DOMAIN_ADMIN',
  ROLE_OPERATOR = "ROLE_OPERATOR",
  ROLE_TOOL_MANAGER = "ROLE_TOOL_MANAGER",
  ROLE_USER = "ROLE_USER",
  ROLE_GUEST = "ROLE_GUEST",
  ROLE_INCOMPLETE = "ROLE_INCOMPLETE",
  ROLE_NOT_ACCEPTED = "ROLE_NOT_ACCEPTED",
  ROLE_GROUP_MANAGER = "ROLE_GROUP_MANAGER",
  ROLE_GROUP_DOMAIN_ADMIN = "ROLE_GROUP_DOMAIN_ADMIN",
}

export function RoleAware(constructor: Function) {
    constructor.prototype.Role = Role;
}

export class UserRole {
  public domainId: number = undefined;
  public domainName: string = undefined;

  public role: Role  = undefined;

  constructor(domainId?: number, domainName?: string, role?: Role) {
    this.domainId = domainId;
    this.role = role;
  }
}
